/*==============================================================================================================*/
// GENERAL SETTINGS

// Your country code
// Currently, the following country codes are available: "bg", "de", "en", "es", "fr", "it", "pl", "ru", "sv"
// If you want another language, you will have to create a new language file (located in /Bundles/com.ashman.LockInfo/strings)
// and translate the strings found in "en.js". These languages also contain the formatting of the time and date display.
// If you want to modify how the time and dates are displayed, you will need to edit whatever language file you are using.
var language = "en";

// Arrange and/or disable (by commenting-out) sections:
// To disable a section, put "//" at the beginning of the line
var sections = [
	"Clock",
	"Weather",
	"RSS",
	"Calendar",
	"Mail",
	"Todo",
	"Calls",
	"Voicemail",
	"SMS",
	"Twitter",
];

// If "Clock" is enabled in the "sections" list above, this shows the bigger custom clock
var useBigClock = true;

// Display arrows in headers?
var displayArrows = true;

// Draw a monthly calendar as a collapsable subsection of the custom clock
var showMonth = true;

// The day the week will start on; 0(Sun) to 6(Sat)
var startDay = 0;

// Used for Rotary control of months
var clockSwitchMonth = 0;

/*==============================================================================================================*/
// EXPAND/COLLAPSE SETTINGS

// Collapse or expand main sections by default; comment-out or set to false to expand...
// To collapse a section by default, remove the "//" at the beginning of the line
var defaultCollapsed = {
	"Clock":true,
	"Calendar":false,
	"Mail":false,
	"Todo":false,
	"Calls":false,
	"Voicemail":false,
	"SMS":false,
	"RSS":false,
	"Weather":false,
	"Twitter":false,
};

// Enable global collapse/expand by swiping right (or left, if globalHide is false)?
var globalCollapse = true;

// Enable global hide toggling by swiping left (or right, if globalCollapse is false)?
var globalHide = true;

// If globalHide is true and custom clock is enabled, hide the clock too?
var hideClock = false;

// Collapse all but first item
var collapseAllButFirst_sms = true;
var collapseAllButFirst_twitter = true;

// Set to false for instant section collapse/expand, or true for webkit CSS animations
var enableAnimations = false;
var animationDuration = 450;	// Milliseconds

// Animate the global collapse/expand? (Requires enableAnimations to be true)
var animateGlobalCollapse = false;

// Collapse subsections in sections that are to be collapsed by default (listed above)?
var collapseChildren = true;

// Always expand the first subsection?	Note: this overrides collapseChildren;
// subsequent sections will be collapsed regardless of main section's default
var expandFirst = true;

// Revert to default collapse/expand settings when a section is empty?
var revertCollapsedOnEmpty = true;

// Hide empty sections?
var hideEmptySections = false;

/*==============================================================================================================*/
// SECTION DISPLAY SETTINGS

// Display the "Load More" bar at the bottom of each section if the item limit was reached?
var displayLoadMore = true;

// If displayLoadMore is enabled, how many more should load each time the bar is pressed?
var loadIncrement = 5;

// Display each calendar as a separate section?
// Note: If true, there will be an extra subheader, even if there's only one calendar.
var separateCalendars = false;

// Display each day as a separate section?
// Note: If true, there will be an extra subheader, even if there's only one day with events.
var separateCalendarDays = true;

// Display events' times/dates in a separate column?
var separateCalendarTimes = true;

// Sort this calendar first if separateCalendars is true
var mainCalendar = "Calendar";

// Show count for only today' events?
var calendarCountToday = true;

// Limit the number of events to show
var calendarLimit = 10;

// Display each email account as a separate subsection?
// Note: If true, there will be an extra subheader, even if there's only one email account.
var separateMailAccounts = false;

// Limit the number of emails to show
var mailLimit = 5;

// Limit the number of missed calls to show
var callLimit = 5;

// Limit the number of voicemails to show
var voicemailLimit = 5;

// Limit the number of SMS messages to show
var smsLimit = 5;

// Limit the number of Twitter messages to show
var twitterLimit = 5;

// Limit the number of Todo items to show
var todoLimit = 5;

// The above limits can also be set in the Plugin sections of LockInfo in Settings.app
// The lowest limit set anywhere will be used

/*==============================================================================================================*/
// RSS SETTINGS
// Modified by Reinhold Penner (rpenner@hawaii.edu)

// Enter the RSS feed URLs as desired
var rssSources = [
	"http://rss.cnn.com/rss/cnn_topstories.rss",
	"http://rss.cnn.com/rss/cnn_us.rss",
	"http://rss.cnn.com/rss/cnn_world.rss",
];

// Enter the RSS feed titles (shown as headers) corresponding to the above feeds
var rssTitles = [
	"CNN Top Stories",
	"CNN U.S. News",
	"CNN World News",
];

// Enter the number of RSS items for individual feeds (0 for all items)
var rssItems = [
	"0",
	"0",
	"0",
];

// Enter length of RSS item description for individual feeds (1 for all chars or e.g. 100 for 100 chars)
var rssDescChars = [
	"1",
	"1",
	"1",
];

var rssSourceIndex = 0;			// set the initial source index
var rssDescShow = false;		// Show or hide description initially
var rssFrameSize = 56;			// change height of RSS subwindow
var displayRSSRefreshButton = true;	// show refresh
var rssScrollerSpeed  = 1;		// change speed of scrolling
var rssRefreshTimer = 600000;		// 600 sec or 600,000 ms or 10 mins.

/*==============================================================================================================*/
// RELATIVE TIME SETTINGS

// Show relative times or absolute times?
var displayRelativeTimes = false;

// Show short periods or long periods?
// Ex.
// false -> "3 hours, 2 minutes"
// true -> "3h 2m"
var displayShortPeriods = true;

// How many periods to display if not rounded? (Excludes seconds unless time < 1 minute)
// Ex.
// relativeTimeLength = 1 -> "3h"
// relativeTimeLength = 2 -> "3h 2m"
var relativeTimeLength = 2;

// Limit the frequency of updates for relative time, and round seconds:
var relativeUpdateLimit = 15;	//Seconds

// Specify how time should be rounded.
//	1: Round up (ceiling)
//	0: Normal round
//	-1: Round down (floor)
var roundPeriods = [
	1,	// seconds
	1,	// minutes
	0,	// hours
	-1, 	// days
	0,	// weeks
	0,	// months
	0,	// years
	0	// decades
];

/*==============================================================================================================*/
// WEATHER SETTINGS

// Produced by Adam Watkins (http://www.stupidpupil.co.uk)
// Modified by Craig Laparo (gruppler@gmail.com)
// Modified by Reinhold Penner (rpenner@hawaii.edu
// Locations, add as many as you want, separated by commas.
// Ex. "OCN|AU|VIC|MELBOURNE", "ASI|PH|MAKATI" e.g. 'Defiance, Ohio'|'Moscow, Russia'|'London, UK'
// You can find the location code for any city anywhere in the world by going to http://www.accuweather.com.
// Access the weather of your desired location, view the html text source of that page and search for 
// "location code" within the html text. That will give you the location code which you then enter below
// In the US, simply enter your zip code (replace "96815" with your zip code).

var locales = [
	"96815",
	"90095",
	"10001",
];

// Show the first city's current weather in the main header?
// Set this to false if you have multiple cities and don't want a rundundant header...
var mainHeaderWeather = false;

// Show the first city's name in the main header, or hide it?
var displayMainCityName = true;

// Show the other cities' names in their subheaders, or hide them?
var displayCityNames = true;

// Limit the number of days to display (also limited by the weather source; 7 seems to be the max)
var weatherDayLimit = 4;

// Set to 'false' if you'd prefer Farenheit
var isCelsius = false;

// Use 'Real Feel' temperatures where possible, taking into account Wind Chill, Humidity etc.
var useRealFeel = false;

// What should separate hi temperatures from low temperatures?
// use "<br>" to put them on separate lines, or something else like "|", for example.
var weatherTempSeparator = "&nbsp;";

// Images must follow the same naming schema as the 'klear' set (borrowed from KWeather)
var iconSet = "aqwoah"; //Other weather icon themes are available on the web (e.g. 'klear'|'tick'|'grzanka')
var iconExt = ".png"; //'.png'|'.gif'|etc.

// Display the refresh icon in the header? If not, you can still tap the update time to refresh.
var displayWeatherRefreshButton = true;

// To disable automatic refresh/retry, set to 0
var weatherUpdateInterval = 15;	//Minutes
var weatherRetryInterval = 0.5;	//Minutes

// If stop trying after this many consecutive failed attempts (set to 0 for infinite retries):
var weatherRetriesMax = 3;

// The (currently broken) 'Yahoo' which for the 'locale' requires a US zip or location code
// (e.g. UKXX0085 or CHXX0008) from http://weather.yahoo.com
var weatherSource = "Apple"; // "Yahoo" is broken for now, so use "Apple"

// Swiping will cycle thru the cities
var weatherCycleCities = 1; 	// set to 1 to cycle, 0 for normal mode
var weatherLocalesIndex = 0;	// set the first city to display (starts with 0)

/*==============================================================================================================*/
// Day and Night Settings

var dnRefreshTimer = 600000;	// 600 sec or 600,000 ms or 10 mins.
var dnGlobalMapIndex = 1;	// set the first map to display (uses filename number and starts with 1)
var dnGlobalMapMax   = 4;	// Maximum number of maps to cycle through

var GlobalMapWidth  = 320;	// map image width
var GlobalMapHeight = 160;	// map image height
var dnDivHeight     = 136;	// viewport height (truncates Antarctica)

// Global map images can be added and can be cycled through by swiping. Make sure to keep the continent outlines
// as in existing images to keep the city coordinates valid.

/*==============================================================================================================*/
// World Times Settings

// load the city names from the following website:
var wtURLSource = "http://www.worldtimeserver.com/worldclock.aspx";

// city name. Format is as follows ["City",x,y,z,h,"city override"]
// x,y are pixel coordinates for dot on map
// z is time label position relative to city dot (e.g. top: 0, right: 2, bottom: 4, left: 6; see additional options below)
// h is hour differential, leave it at 0, data are fetched once a day to obtain DST info
// city override: if the desired city is not on the list, you can add it and set an equivalent city in the same time zone that is.
// See Wellington NZ as an example of city override (it is not in the list, but Auckland is).

var wtCities = [			// to turn off a city, just comment it out, do not delete the line
//	["Addis Ababa",189,70,4,13,""],
//	["Adelaide",280,107,4,21,""],
//	["Aden",197,65,4,13,""],
//	["Algiers",159,45,4,11,""],
//	["Amman",189,48,4,12,""],
//	["Amsterdam",161,31,4,11,""],
//	["Anadyr",3,19,2,22,""],
	["Anchorage",23,22,4,1,""],
	["Ankara",185,42,4,12,""],
//	["Antananarivo",198,94,4,13,""],
//	["Asuncion",104,97,4,7,""],
//	["Athens",177,40,4,12,""],
//	["Atlanta",80,46,4,5,""],
//	["Auckland",311,110,5,23,""],
//	["Baghdad",195,46,4,13,""],
//	["Bangkok",246,65,4,17,""],
//	["Barcelona",158,40,4,11,""],
	["Beijing",260,41,0,18,""],
//	["Beirut",188,47,4,12,""],
//	["Belgrade",176,38,4,11,""],
	["Berlin",165,33,4,11,""],
//	["Bogota",91,75,4,5,""],
//	["Boston",93,40,4,5,""],
//	["Brasilla",115,91,4,8,""],
//	["Brisbane",292,101,4,20,""],
//	["Brussels",161,32,4,11,""],
//	["Bucharest",180,38,4,12,""],
//	["Budapest",173,35,4,11,""],
	["Buenos Aires",105,108,4,7,""],
//	["Cairo",184,52,4,12,""],
//	["Canberra",288,107,4,21,""],
	["Cape Town",174,106,4,12,""],
	["Caracas",95,68,2,6,""],
//	["Casablanca",149,50,4,10,""],
//	["Chatham Island",316,116,6,15,""],
	["Chicago",78,39,0,4,""],
//	["Copenhagen",166,28,4,11,""],
//	["Darwin",273,88,4,20,""],
	["Denver",62,41,4,3,""],
//	["Detroit",83,40,4,5,""],
//	["Dhaka",236,56,4,17,""],
//	["Dubai",205,56,4,14,""],
//	["Dublin",150,30,4,10,""],
//	["Edmonton",56,29,4,3,""],
//	["Frankfurt",164,33,4,11,""],
//	["Geneva",163,35,4,11,""],
//	["Guatemala",76,64,4,4,""],
//	["Halifax",100,37,4,6,""],
//	["Hanoi",251,58,4,17,""],
//	["Harare",184,92,4,12,""],
//	["Havana",83,57,4,5,""],
//	["Helsinki",179,23,4,12,""],
	["Hong Kong",256,57,4,18,""],
	["Honolulu",15,59,4,0,""],
//	["Houston",73,50,4,4,""],
//	["Indianapolis",80,43,4,5,""],
//	["Islamabad",220,46,4,15,""],
//	["Istanbul",182,41,4,12,""],
//	["Jakarta",251,82,4,17,""],
//	["Jerusalem",188,48,4,12,""],
//	["Johannesburg",181,99,4,12,""],
//	["Kabul",217,48,4,15,""],
//	["Kamchatka",182,36,4,22,""],
//	["Karachi",215,55,4,15,""],
//	["Kathmandu",232,52,4,16,""],
//	["Khartoum",185,63,4,13,""],
//	["Kingston",87,62,4,5,""],
//	["Kiritimati",15,71,4,24,""],
//	["Kolkata",235,57,4,16,""],
//	["Kuala Lumpur",246,75,4,18,""],
//	["Kuwait City",198,50,4,13,""],
	["Kyiv",182,37,2,12,""],
//	["La Paz",97,91,4,6,""],
	["Lagos",160,72,4,11,""],
//	["Lahore",219,49,4,15,""],
//	["Lima",88,88,4,5,""],
	["Lisbon",148,43,4,10,""],
	["London",154,30,0,10,""],
//	["Los Angeles",51,47,4,2,""],
//	["Madrid",152,41,4,11,""],
//	["Managua",78,66,4,4,""],
//	["Manila",264,65,4,18,""],
//	["Melbourne",284,111,4,21,""],
//	["Mexico City",68,59,4,4,""],
//	["Miami",85,54,4,5,""],
//	["Minneapolis",75,37,4,4,""],
//	["Minsk",180,29,4,12,""],
//	["Montevideo",107,108,4,8,""],
//	["Montgomery",79,48,4,4,""],
//	["Montreal",91,35,4,5,""],
	["Moscow",188,28,0,13,""],
//	["Mumbai",221,59,4,16,""],
	["Nairobi",191,79,4,13,""],
//	["Nassau",88,53,4,5,""],
//	["New Delhi",224,53,4,16,""],
//	["New Orleans",75,50,4,4,""],
	["New York",90,41,2,5,""],
//	["Oslo",166,24,4,11,""],
//	["Ottawa",90,35,4,5,""],
//	["Paris",158,34,4,11,""],
	["Perth",259,104,6,18,""],
//	["Philadelphia",87,42,4,5,""],
//	["Phoenix",56,46,4,3,""],
//	["Prague",169,33,4,11,""],
//	["Reykjavik",138,21,4,10,""],
	["Rio de Janeiro",117,97,2,8,""],
//	["Riyadh",196,54,4,13,""],
//	["Rome",167,40,4,11,""],
	["San Francisco",48,43,6,2,""],
//	["San Juan",98,61,4,6,""],
//	["San Salvador",77,65,4,4,""],
//	["Santiago",93,105,4,7,""],
//	["Santo Domingo",93,61,4,6,""],
//	["Sao Paulo",114,99,4,8,""],
//	["Seattle",46,35,4,2,""],
//	["Seoul",269,44,4,19,""],
//	["Shanghai",264,49,4,18,""],
//	["Singapore",247,74,4,18,""],
//	["Sofia",177,39,4,12,""],
//	["St. John's",109,34,4,7,""],
//	["St. Paul",75,37,4,4,""],
//	["Stockholm",172,24,4,11,""],
//	["Suva",313,92,4,23,""],
	["Sydney",290,106,0,21,""],
//	["Taipei",264,55,4,18,""],
//	["Tallinn",179,24,4,12,""],
//	["Tashkent",215,40,4,15,""],
//	["Tegucigalpa",79,64,4,4,""],
//	["Tehran",202,46,4,14,""],
	["Tokyo",280,45,2,19,""],
//	["Toronto",86,38,4,5,""],
//	["Vancouver",46,34,4,2,""],
//	["Vienna",170,35,4,11,""],
//	["Vladivostok",275,38,4,20,""],
//	["Warsaw",174,32,4,11,""],
//	["Washington DC",87,43,4,5,""],
	["Wellington",310,114,5,23,"Auckland"],		// Example of city override
//	["Winnipeg",70,34,4,4,""],
//	["Yangon",242,62,4,17,""],
//	["Zagreb",172,37,4,11,""],
//	["Zurich",164,35,4,11,""],
];

var wtCityTimeOffSet = [	// time label position relative to city dot (left offset, top offset, text align)
	[-8,-11,"center"],	// 0 top
	[6,-8,"left"],		// 1 top/right
	[8,-4,"left"],		// 2 right
	[6,2,"left"],		// 3 bottom/right
	[-8,5,"center"],	// 4 bottom
	[-23,2,"right"],	// 5 bottom/left
	[-25,-4,"right"],	// 6 left
	[-23,-9,"right"],	// 7 top/left
];

var wtShowWorldTimes = true;	// Set to false if you don't want to see city times (you can always toggle by tapping on map)


/*==============================================================================================================*/
// SWIPE SETTINGS

// The MAXIMUM distance your finger can move to trigger a 'tap'
var tap_maxDistance = 3;

// The MINIMUM distance your finger must move to trigger a 'swipe'
var swipe_minDistance = 60;

// The MAXIMUM vertical distance your finger can move to trigger a 'swipe'
var swipe_maxY = 20;

/*==============================================================================================================*/
// Do not change this...

if(language != "en"){
	var headID = document.getElementsByTagName("head")[0];
	var scriptNode = document.createElement('script');
	scriptNode.type = 'text/javascript';
	scriptNode.src = 'strings/'+language+'.js';
	headID.appendChild(scriptNode);
}

